import request from "@/utils/request";
import constant from "@/utils/constant";

// 分页查询二维数据
const getData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/latlon/getLatlonData', params);
}
// 通过ID查询二维数据
const getDataById = (params) => {
    return request.postForm(constant.dtbserverProxy + '/latlon/getLonlatById', params)
}
// 新增二维数据
const addData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/latlon/addLatlonData', params);
}
// 修改二维数据
const updateData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/latlon/addLatlonData', params);
}
// 删除二维数据
const deleteData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/latlon/deleteLatlonDataById', params)
}

export default {
    getData,
    getDataById,
    addData,
    updateData,
    deleteData,
}